Subject: Re: [bitcoin-dev] Bitcoin XT 0.11A

From: Eric Voskuil <[email-masked]>
Date: Sun, 16 Aug 2015 13:27:41 -0700

[cross-posted to libbitcoin]

I applaud this effort not for the merits of the hard fork but on the
effects of the code fork. We have been witnessing the self-destruction
of Bitcoin's central authority. This is a necessary outcome.

Understandably, many are concerned that if consensus settles on a larger
block size Bitcoin will suffer greater centralization. The point of
Bitcoin however is that nobody is in control of consensus. If a
consensus decision leads to centralization, the consensus will move.

Yes, when this happens people who bet on the losing fork will lose
money. This is how Bitcoin works. One bets not on personal desires but
on what others will accept. That is how consensus is built.

Some fret that if this process evolves Bitcoin will suffer a
catastrophic loss of "value" and not recover. This may come to pass, but
there is no avoiding the possibility.

The ease with which consensus can move when it wants to is important. In
other words, friction is weakness and a single overly complex codebase
is high friction.

Amir saw this coming before most. While we are posting manifestos, I
thought it more than appropriate to quote from the libbitcoin manifesto:

> If development is too centralised, with a small core infrastructure,
> then businesses will put real pressure to have features that destroy
> the integrity of the Bitcoin network.
> ...
> The possible malicious scenarios are endless....At the other end of
> the spectrum, is putting development effort into diversifying the
> ecosystem to protect against censorship... That's where developers
> who believe in Bitcoin should devote time to.
> ...
> A diversified Bitcoin of many wallets and implementations is a strong
> and pure Bitcoin. To protect the integrity of the network, we need to
> eliminate single points of failure. An inbred Bitcoin with the same
> software code everywhere shares the same weaknesses, and is
> susceptible to the same attacks...
>
> The implications of a diversified Bitcoin is a Bitcoin difficult to
> control. It also sets the protocol in stone, as nobody has sole power
> over the standard. Consensus from many parties is the way forwards.
>...
> Viewed over a longer time period, extra or unnecessary features seem
> to creep into the system beyond the initial goals and the small code
> of 15,000 lines set by Satoshi. The result will be a Bitcoin that
> becomes increasingly difficult to understand or implement without a
> huge initial investment of resources, time and people. No single
> person will fully understand Bitcoin anymore, and development
> monopolies will be further enforced.

http://libbitcoin.dyne.org/libbitcoin-manifesto.pdf

e

On 08/15/2015 10:02 AM, Mike Hearn via bitcoin-dev wrote:
> Hello,
> 
> As promised, we have released Bitcoin XT 0.11A which includes the bigger
> blocks patch set. You can get it from
> 
>      https://bitcoinxt.software/
> 
> I feel sad that it's come to this, but there is no other way. The
> Bitcoin Core project has drifted so far from the principles myself and
> many others feel are important, that a fork is the only way to fix things.
> 
> Forking is a natural thing in the open source community, Bitcoin is not
> the first and won't be the last project to go through this. Often in
> forks, people say there was insufficient communication. So to ensure
> everything is crystal clear I've written a blog post and a kind of
> "manifesto" to describe why this is happening and how XT plans to be
> different from Core (assuming adoption, of course).
> 
> The article is here:
> 
>     https://medium.com/@octskyward/why-is-bitcoin-forking-d647312d22c1
> 
> It makes no attempt to be neutral: this explains things from our point
> of view.
> 
> The manifesto is on the website.
> 
> I say to all developers on this list: if you also feel that Core is no
> longer serving the interests of Bitcoin users, come join us. We don't bite.
> ________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>